Skip to main content
POST
/
v1
/
subscriptions
/
{id}
/
addons
(Topup) Attach an addon to a subscription
curl --request POST \
  --url https://api.bondio.co/v1/subscriptions/{id}/addons \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addonPlanId": "<string>",
  "addonPlan": {
    "coverageId": "<string>",
    "dataMBs": 123,
    "periodDays": 123
  },
  "validityStartBehavior": "<string>"
}
'
{
  "id": "<string>",
  "addonPlanId": "<string>",
  "attachedAt": 123,
  "addonPlan": {
    "name": "<string>",
    "dataMegaBytes": 123,
    "periodDays": 123,
    "periodIterations": 1,
    "throttledSpeedKbps": 0,
    "label": "<string>",
    "coverageProfileId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

Exactly one of the addon or addonPlanId must be provided

addonPlanId
string

The id of the addon plan to be attached. The addon plan should not be archived

addonPlan
object
validityStartBehavior
string

Defines the start time of the addon plan. There are two options:

  1. START_NOW: Start the validity of add on plan instantly
  2. END_OF_CUR_EXPIRY Start the validity add on plan on end of current plan expiry. In both the cases, the data allowance is available instantly.

Response

id
string
required
addonPlanId
string
required
deprecated
attachedAt
integer
required
addonPlan
PlanForAttachment · object
required
Example:
{
"name": "Australia 1GB 7d",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "alpha",
"coverageProfileId": "cvpr_ybrs38es"
}